%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define mod_name py2pack

Name:           python-%{mod_name}
Version:        0.3.21
Release:        %mkrel 2
Url:            http://github.com/saschpe/py2pack
Summary:        Generate distribution packages from Python packages on PyPI
License:        GPLv2
Group:          Development/Python
Source:         %{mod_name}-%{version}.tar.gz
Source1:	mageia.spec
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-jinja2
Requires:       python-jinja2

%description
This script allows to generate RPM spec or DEB dsc files from Python modules.
It allows to list Python modules or search for them on the Python Package Index
(PyPI). Conveniently, it can fetch tarballs and changelogs making it an
universal tool to package Python modules.

%prep
%setup -q -n %{mod_name}-%{version}

%build
 %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --prefix %{_prefix} --root %{buildroot}
# The setup script installs stuff into '/usr/local', move stuff around accordingly
install -d %{buildroot}%{_mandir}/man1
mv %{buildroot}/usr/man/man1/%{mod_name}.* %{buildroot}%{_mandir}/man1
chmod 0644 %{buildroot}%{_mandir}/man1/*
install -d %{buildroot}%{_docdir}/%{name}
mv %{buildroot}/%{_docdir}/%{mod_name} %{buildroot}%{_docdir}/%{name}
chmod 0755 %{buildroot}/%{_bindir}/* %{buildroot}/%{python_sitelib}/%{mod_name}/%{mod_name}*

%clean
rm -rf %{buildroot}

%check
#make test

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE README.rst
%{_mandir}/man1/*
%{_bindir}/%{mod_name}
%{python_sitelib}/%{mod_name}*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3.21-2.mga3
+ Revision: 379290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 0.3.21-1.mga2
+ Revision: 158295
- silent fix group
- New upstream 0.3.2.21

* Mon May 09 2011 saispo <saispo> 0.3.15-1.mga1
+ Revision: 96637
- imported package python-py2pack

